Remove Item
curl --request DELETE \
--url https://api.themoviedb.org/4/list/{list_id}/items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"media_id": 550,
"media_type": "movie"
},
{
"media_id": 244786,
"media_type": "movie"
},
{
"media_id": 1396,
"media_type": "tv"
}
]
}
'import requests
url = "https://api.themoviedb.org/4/list/{list_id}/items"
payload = { "items": [
{
"media_id": 550,
"media_type": "movie"
},
{
"media_id": 244786,
"media_type": "movie"
},
{
"media_id": 1396,
"media_type": "tv"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: [
{media_id: 550, media_type: 'movie'},
{media_id: 244786, media_type: 'movie'},
{media_id: 1396, media_type: 'tv'}
]
})
};
fetch('https://api.themoviedb.org/4/list/{list_id}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"media_id": 550,
"media_type": "movie",
"success": false
},
{
"media_id": 244786,
"media_type": "movie",
"success": false
},
{
"media_id": 1396,
"media_type": "tv",
"success": false
}
],
"status_code": 1,
"status_message": "Success.",
"success": true
}Remove Item
This endpoint remove items from a list
DELETE
/
4
/
list
/
{list_id}
/
items
Remove Item
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
the ID of the custom list
Example:
8510518
Body
application/json
Show child attributes
Show child attributes
Example:
[
{ "media_id": 550, "media_type": "movie" },
{ "media_id": 244786, "media_type": "movie" },
{ "media_id": 1396, "media_type": "tv" }
]
Response
200 - application/json
Remove Item
Show child attributes
Show child attributes
Example:
[
{
"media_id": 550,
"media_type": "movie",
"success": false
},
{
"media_id": 244786,
"media_type": "movie",
"success": false
},
{
"media_id": 1396,
"media_type": "tv",
"success": false
}
]
Example:
1
Example:
"Success."
Example:
true
⌘I